/* this code is to modularize a synth specific file, included at the end */

static void __exit mod_synth_exit( void )
{
        if ( synth == &MY_SYNTH )
	  synth_release( );
	synth_remove( &MY_SYNTH );
}

static int __init mod_synth_init( void )
{
	int status = do_synth_init( &MY_SYNTH );
	if ( status != 0 ) return status;
	synth_add( &MY_SYNTH );
	return 0;
}

module_init( mod_synth_init );
module_exit( mod_synth_exit );
MODULE_AUTHOR("Kirk Reiser <kirk@braille.uwo.ca>");
MODULE_DESCRIPTION("Synthesizer driver module for speakup for the  synth->long_name");
MODULE_LICENSE( "GPL" );
